aboutsummaryrefslogtreecommitdiffstats
path: root/hotplug/hotplug-20040920/update-usb.usermap
diff options
context:
space:
mode:
Diffstat (limited to 'hotplug/hotplug-20040920/update-usb.usermap')
-rw-r--r--hotplug/hotplug-20040920/update-usb.usermap37
1 files changed, 37 insertions, 0 deletions
diff --git a/hotplug/hotplug-20040920/update-usb.usermap b/hotplug/hotplug-20040920/update-usb.usermap
index e69de29bb2..d09e1176ec 100644
--- a/hotplug/hotplug-20040920/update-usb.usermap
+++ b/hotplug/hotplug-20040920/update-usb.usermap
@@ -0,0 +1,37 @@
+#!/bin/sh -e
+# update-usb.usermap
+# Copyright (c) 2001 Fumitoshi UKAI <ukai@debian.or.jp>
+# GPL
+
+LIBDIR=/usr/lib/hotplug
+USERMAP=/etc/hotplug/usb.usermap
+LOCALMAP=/etc/hotplug/usb.usermap.local
+
+test -d $LIBDIR || exit 0
+
+echo -n "Updating $USERMAP ..."
+
+echo "# usb.usermap file" > $USERMAP
+echo "# This is autogenerated by update-usb.usermap program" >> $USERMAP
+echo "# usb module match_flags idVendor idProduct bcdDevice_lo bcdDevice_hi bDeviceClass bDeviceSubClass bDeviceProtocol bInterfaceClass bInterfaceSubClass bInterfaceProtocol driver_info" >> $USERMAP
+
+if [ -f $LOCALMAP ]; then
+ echo "# usb.usermap.local" >> $USERMAP
+ cat $LOCALMAP >> $USERMAP
+fi
+
+cd $LIBDIR
+for package in *
+do
+ if [ -d "$package" ]; then
+ map=$package/usb.usermap
+ echo "# $package" >> $USERMAP
+ if [ -x "$map" ]; then
+ ./$map >> $USERMAP
+ elif [ -f "$map" ]; then
+ cat $map >> $USERMAP
+ fi
+ fi
+done
+
+echo done.